package org.codehaus.plexus.redback.xwork.model;

/*
 * Copyright 2005-2006 The Codehaus.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.codehaus.plexus.redback.users.User;

/**
 * AdminEditUserCredentials
 *
 * @author <a href="mailto:joakim@erdfelt.com">Joakim Erdfelt</a>
 * @version $Id: AdminEditUserCredentials.java 88 2007-02-23 18:16:26Z jesse $
 */
public class AdminEditUserCredentials
    extends EditUserCredentials
{
    private boolean locked;

    private boolean passwordChangeRequired;

    public AdminEditUserCredentials()
    {
        super();
    }

    public AdminEditUserCredentials( User user )
    {
        super( user );
        this.locked = user.isLocked();
        this.passwordChangeRequired = user.isPasswordChangeRequired();
    }

    public boolean isLocked()
    {
        return locked;
    }

    public void setLocked( boolean locked )
    {
        this.locked = locked;
    }

    public boolean isPasswordChangeRequired()
    {
        return passwordChangeRequired;
    }

    public void setPasswordChangeRequired( boolean passwordChangeRequired )
    {
        this.passwordChangeRequired = passwordChangeRequired;
    }
}
